com.google.gwt.user.cellview.client

## Interface CellTree.Resources

All Superinterfaces:
  ClientBundle

All Known Subinterfaces:
  CellTree.BasicResources

Enclosing class:
  CellTree

    public static interface CellTree.Resources
    extends ClientBundle

A ClientBundle that provides images for this widget.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.ClientBundle

`ClientBundle.Source`

### Method Summary

All Methods Instance Methods Abstract Methods
`ImageResource` `cellTreeClosedItem()` An image indicating a closed branch.
`ImageResource` `cellTreeLoading()` An image indicating that a node is loading.
`ImageResource` `cellTreeOpenItem()` An image indicating an open branch.
`ImageResource` `cellTreeSelectedBackground()` The background used for selected items.
`CellTree.Style` `cellTreeStyle()` The styles used in this widget.

### Method Detail

#### cellTreeClosedItem

    @ImageResource.ImageOptions(flipRtl=true)
     @ClientBundle.Source(value="cellTreeClosedArrow.png")
    ImageResource cellTreeClosedItem()

An image indicating a closed branch.

#### cellTreeLoading

    @ImageResource.ImageOptions(flipRtl=true)
    ImageResource cellTreeLoading()

An image indicating that a node is loading.

#### cellTreeOpenItem

    @ImageResource.ImageOptions(flipRtl=true)
     @ClientBundle.Source(value="cellTreeOpenArrow.png")
    ImageResource cellTreeOpenItem()

An image indicating an open branch.

#### cellTreeSelectedBackground

    @ImageResource.ImageOptions(repeatStyle=Horizontal,
                                flipRtl=true)
    ImageResource cellTreeSelectedBackground()

The background used for selected items.

#### cellTreeStyle

    @ClientBundle.Source(value="com/google/gwt/user/cellview/client/CellTree.css")
    CellTree.Style cellTreeStyle()

The styles used in this widget.